<?php

namespace App\Http\Controllers;

use Symfony\Component\Process\Process;
use Symfony\Component\Process\Exception\ProcessFailedException;

class BackupController extends Controller
{
    public function download()
    {
        // Define the file name and path for the backup
        $filename = 'backup_' . date('Y_m_d_H_i_s') . '.sql';
        $path = storage_path($filename);

        // Command to generate the SQL dump using env variables directly
        $command = sprintf(
            'mysqldump --host=%s --port=%s --user=%s --password=%s %s > %s',
            env('DB_HOST'),
            env('DB_PORT'),
            env('DB_USERNAME'),
            env('DB_PASSWORD'),
            env('DB_DATABASE'),
            $path
        );

        // Execute the command
        $process = Process::fromShellCommandline($command);
        $process->run();

        // Check for errors
        if (!$process->isSuccessful()) {
            throw new ProcessFailedException($process);
        }

        // Download the file
        return response()->download($path)->deleteFileAfterSend(true);
    }
}

