@extends('layouts.app')

@section('title', 'Slides')

@section('content')
<div class="container mx-auto p-4">
    <h1 class="text-2xl font-bold mb-4">Slides</h1>

    <a href="{{ route('slides.history') }}" class="bg-gray-500 text-white px-4 py-2 rounded">View History</a>
    <a href="{{ route('slides.create') }}" class="bg-blue-500 text-white px-4 py-2 rounded mb-4 inline-block">Create New Slide</a>
    <a href="{{ route('backup.download') }}" class="bg-green-500 text-white px-4 py-2 rounded">
    Download Database Backup
</a>

    @if(session('success'))
        <div class="bg-green-500 text-white p-2 rounded mb-4">
            {{ session('success') }}
        </div>
    @endif


    @foreach($slides as $slide)
        <div class="bg-white shadow p-4 mb-4 rounded flex justify-between items-center">
            <div>
                <h2 class="text-xl font-bold">{{ $slide->group_name }}</h2>
                <p>{{ $slide->heading }}</p>
            </div>
            <div class="flex space-x-2">
                <a href="{{ route('slides.edit', $slide) }}" class="bg-yellow-500 text-white px-4 py-2 rounded">Edit</a>
                <a href="{{ route('slides.show', $slide) }}" class="bg-blue-500 text-white px-4 py-2 rounded">View</a>
                <form action="{{ route('slides.destroy', $slide) }}" method="POST" x-data="{ open: false }">
    @csrf
    @method('DELETE')
    <button type="button" @click="open = true" class="bg-red-500 text-white px-4 py-2 rounded">Delete</button>
    <div x-show="open" @click.away="open = false" class="fixed inset-0 flex items-center justify-center z-50">
        <!-- Overlay with blur effect -->
        <div class="absolute inset-0 bg-black opacity-50 z-40"></div>
        <!-- Popup content -->
        <div class="bg-white p-4 rounded shadow-lg relative z-50">
            <h3 class="text-lg font-semibold mb-2">Are you sure?</h3>
            <p class="mb-4">Do you really want to delete this slide? This action cannot be undone.</p>
            <div class="flex justify-end space-x-2">
                <button @click.prevent="open = false" class="bg-gray-500 text-white px-4 py-2 rounded">Cancel</button>
                <button type="submit" class="bg-red-500 text-white px-4 py-2 rounded">Confirm</button>
            </div>
        </div>
    </div>
</form>




            </div>
        </div>
    @endforeach
</div>
@endsection
