<?php

use App\Http\Controllers\BackupController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\SlideController;
use Illuminate\Support\Facades\Route;
use Spatie\Activitylog\Models\Activity;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::get('/backup-database', [BackupController::class, 'download'])->name('backup.download');
Route::get('/slides/history', function () {
    $activities = Activity::where('subject_type', 'App\Models\Slide')->latest()->get();
    return view('slides.history', compact('activities'));
})->name('slides.history');
Route::get('/', function () {
    return view('welcome');
});
Route::resource('slides', SlideController::class);
Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});
Route::post('/list-items/move', [SlideController::class, 'move'])->name('list-items.move');



require __DIR__.'/auth.php';
