

<?php $__env->startSection('content'); ?>
<div class="container mx-auto p-4" x-data="{ openMovePopup: false, selectedListItemId: null }">
    <h1 class="text-2xl font-bold mb-4">Slide Details</h1>

    <!-- Display slide details -->
    <div class="bg-white shadow rounded-lg p-6">
        <div class="mb-4">
            <h2 class="text-xl font-semibold">Group Name:</h2>
            <p><?php echo e($slide->group_name); ?></p>
        </div>

        <div class="mb-4">
            <h2 class="text-xl font-semibold">Heading:</h2>
            <p><?php echo e($slide->heading); ?></p>
        </div>

        <!-- List Items -->
        <div>
            <h2 class="text-xl font-semibold mb-2">List Items:</h2>
            <?php $__currentLoopData = $slide->listItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="mb-4">
                    <h3 class="text-lg font-semibold"><?php echo e($item->list_name); ?></h3>
                    <p><?php echo e($item->domains); ?></p>

                    <!-- Move Button -->
                    <button @click="openMovePopup = true; selectedListItemId = <?php echo e($item->id); ?>" class="bg-blue-500 text-white px-4 py-2 rounded">
                        Move to Another Slide
                    </button>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <!-- Move to Another Slide Popup -->
        <div x-show="openMovePopup" class="fixed inset-0 flex items-center justify-center z-50 backdrop-blur-sm">
            <div class="bg-white p-4 rounded shadow-lg w-96">
                <h3 class="text-lg font-semibold mb-2">Move List Item to Another Slide</h3>
                <form method="POST" action="<?php echo e(route('list-items.move')); ?>">
                    <?php echo csrf_field(); ?>
                    <input type="hidden" name="list_item_id" x-bind:value="selectedListItemId">

                    <div class="mb-4">
                        <label for="slide_id" class="block text-gray-700">Select Slide</label>
                        <select name="slide_id" id="slide_id" class="border border-gray-300 rounded w-full py-2 px-4">
                            <?php $__currentLoopData = $allSlides; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $otherSlide): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($otherSlide->id); ?>"><?php echo e($otherSlide->group_name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>

                    <div class="flex justify-end space-x-2">
                        <button type="button" @click="openMovePopup = false" class="bg-gray-500 text-white px-4 py-2 rounded">Cancel</button>
                        <button type="submit" class="bg-green-500 text-white px-4 py-2 rounded">Move</button>
                    </div>
                </form>
            </div>
        </div>

        <!-- Created By and Modified By -->
        <div class="mt-6">
            <h2 class="text-xl font-semibold">Created By:</h2>
            <p><?php echo e($slide->created_by ? $slide->creator->name : 'N/A'); ?></p> 

            <h2 class="text-xl font-semibold mt-4">Last Modified By:</h2>
            <p><?php echo e($slide->updater ? $slide->updater->name : 'N/A'); ?></p>
        </div>
    </div>

    <!-- Back to Index Button -->
    <div class="mt-6">
        <a href="<?php echo e(route('slides.index')); ?>" class="text-blue-500 hover:text-blue-700">
            &larr; Back to Slide List
        </a>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\shuvo\Desktop\pbn\pbn_slider\resources\views/slides/show.blade.php ENDPATH**/ ?>