

<?php $__env->startSection('title', $slide ?? null ? 'Edit Slide' : 'Create Slide'); ?>

<?php $__env->startSection('content'); ?>
<div class="container mx-auto p-4">
    <h1 class="text-2xl font-bold mb-4"><?php echo e($slide ?? null ? 'Edit Slide' : 'Create Slide'); ?></h1>

    <form action="<?php echo e(route('slides.store')); ?>" method="POST">
    <?php echo csrf_field(); ?>

    <!-- Group Name and Heading -->
    <div class="mb-4">
        <label for="group_name" class="block text-sm font-medium text-gray-700">Group Name</label>
        <input type="text" name="group_name" id="group_name" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm" required>
    </div>

    <div class="mb-4">
        <label for="heading" class="block text-sm font-medium text-gray-700">Heading</label>
        <input type="text" name="heading" id="heading" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm" required>
    </div>

    <!-- List Items -->
    <div id="list-items">
        <div class="list-item mb-4" data-index="0">
            <div class="mb-4">
                <label for="list_items[0][list_name]" class="block text-sm font-medium text-gray-700">List Name</label>
                <input type="text" name="list_items[0][list_name]" id="list_items[0][list_name]" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm" required>
            </div>

            <div class="mb-4">
                <label for="list_items[0][domains]" class="block text-sm font-medium text-gray-700">Domains (comma-separated)</label>
                <input type="text" name="list_items[0][domains]" id="list_items[0][domains]" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm" required>
            </div>

            <button type="button" class="remove-item-button bg-red-500 text-white px-2 py-1 rounded">Remove</button>
        </div>
    </div>

    <button type="button" id="add-item-button" class="bg-gray-300 text-gray-800 px-4 py-2 rounded mb-4">Add More</button>
    <button type="submit" class="bg-blue-500 text-white px-4 py-2 rounded">Create Slider</button>
</form>
</div>

<script>
    let itemIndex = 1;

    function addListItem() {
        const container = document.getElementById('list-items');
        const newItem = document.createElement('div');
        newItem.className = 'list-item mb-4';
        newItem.dataset.index = itemIndex;
        newItem.innerHTML = `
            <div class="mb-4">
                <label for="list_items[${itemIndex}][list_name]" class="block text-sm font-medium text-gray-700">List Name</label>
                <input type="text" name="list_items[${itemIndex}][list_name]" id="list_items[${itemIndex}][list_name]" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm" required>
            </div>
            <div class="mb-4">
                <label for="list_items[${itemIndex}][domains]" class="block text-sm font-medium text-gray-700">Domains (comma-separated)</label>
                <input type="text" name="list_items[${itemIndex}][domains]" id="list_items[${itemIndex}][domains]" class="mt-1 block w-full border-gray-300 rounded-md shadow-sm" required>
            </div>
            <button type="button" class="remove-item-button bg-red-500 text-white px-2 py-1 rounded">Remove</button>
        `;
        container.appendChild(newItem);
        itemIndex++;
    }

    function removeListItem(event) {
        if (event.target.classList.contains('remove-item-button')) {
            event.target.closest('.list-item').remove();
        }
    }

    document.getElementById('add-item-button').addEventListener('click', addListItem);
    document.getElementById('list-items').addEventListener('click', removeListItem);
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\shuvo\Desktop\pbn\pbn_slider\resources\views/slides/create.blade.php ENDPATH**/ ?>