

<?php $__env->startSection('title', $slide ?? null ? 'Edit Slide' : 'Create Slide'); ?>

<?php $__env->startSection('content'); ?>
<div class="container mx-auto p-4">
    <h1 class="text-2xl font-bold mb-4"><?php echo e($slide ?? null ? 'Edit Slide' : 'Create Slide'); ?></h1>

    <form action="<?php echo e($slide ?? null ? route('slides.update', $slide) : route('slides.store')); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php if($slide ?? null): ?>
            <?php echo method_field('PUT'); ?>
        <?php endif; ?>

        <div class="mb-4">
            <label class="block text-gray-700">Group Name</label>
            <input type="text" name="group_name" value="<?php echo e($slide->group_name ?? old('group_name')); ?>" class="border border-gray-300 rounded w-full py-2 px-4">
            <?php $__errorArgs = ['group_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><p class="text-red-500"><?php echo e($message); ?></p><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>

        <div class="mb-4">
            <label class="block text-gray-700">Heading</label>
            <input type="text" name="heading" value="<?php echo e($slide->heading ?? old('heading')); ?>" class="border border-gray-300 rounded w-full py-2 px-4">
            <?php $__errorArgs = ['heading'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><p class="text-red-500"><?php echo e($message); ?></p><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        </div>

        <div id="list-items">
            <?php $__currentLoopData = $slide->listItems ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="mb-4 list-item">
                    <label class="block text-gray-700">List Name</label>
                    <input type="text" name="list_items[<?php echo e($index); ?>][list_name]" value="<?php echo e($item->list_name); ?>" class="border border-gray-300 rounded w-full py-2 px-4">
                    <label class="block text-gray-700">Domains</label>
                    <input type="text" name="list_items[<?php echo e($index); ?>][domains]" value="<?php echo e($item->domains); ?>" class="border border-gray-300 rounded w-full py-2 px-4">
                    <button type="button" class="remove-item bg-red-500 text-white px-4 py-2 rounded mt-2">Remove</button>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <button type="button" id="add-item" class="bg-blue-500 text-white px-4 py-2 rounded mb-4">Add List Item</button>

        <div class="mb-4">
            <button type="submit" class="bg-green-500 text-white px-4 py-2 rounded">Save</button>
        </div>
    </form>
</div>

<script>
    let index = <?php echo e($slide->listItems->count() ?? 0); ?>;
    
    document.getElementById('add-item').addEventListener('click', function () {
        const listItemContainer = document.createElement('div');
        listItemContainer.classList.add('mb-4', 'list-item');
        listItemContainer.innerHTML = `
            <label class="block text-gray-700">List Name</label>
            <input type="text" name="list_items[${index}][list_name]" class="border border-gray-300 rounded w-full py-2 px-4">
            <label class="block text-gray-700">Domains</label>
            <input type="text" name="list_items[${index}][domains]" class="border border-gray-300 rounded w-full py-2 px-4">
            <button type="button" class="remove-item bg-red-500 text-white px-4 py-2 rounded mt-2">Remove</button>
        `;
        document.getElementById('list-items').appendChild(listItemContainer);
        index++;
    });

    document.getElementById('list-items').addEventListener('click', function (event) {
        if (event.target.classList.contains('remove-item')) {
            event.target.closest('.list-item').remove();
        }
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\shuvo\Desktop\pbn\pbn_slider\resources\views/slides/edit.blade.php ENDPATH**/ ?>